[package]
name = "adxl345"
version = "0.1.0"
edition = "2021"

[dependencies]
accelerometer = "0.12.0"
embedded-hal = "0.2.7"
stm32f4xx-hal = { version = "0.13.2", features = ["stm32f405"], optional = true }
cortex-m = { version = "0.7.4", optional = true }
serde = { version = "1.0.*", default-features = false }

[features]
default = []
stm32f405-dma = ["stm32f4xx-hal", "cortex-m"]
